Yaf_Request_Http::__construct
Yaf_Request_Http::getCookie
Yaf_Request_Http
PHP Manual

# Yaf_Request_Http::get

(Yaf >=1.0.0)

Yaf_Request_Http::get — Retrieve variable from client

### Description

public mixed Yaf_Request_Http::get ( string `$name` [, string `$default` ] )

Retrieve variable from client, this method will search the `name` in request pramas, if the name is not found, then will search in POST, GET, Cookie, Server

### Parameters

`name`

  the variable name

`default`

  if this parameter is provide, this will be returned if the varialbe can not be found

### Return Values

### See Also

- Yaf_Request_Http::getQuery
- Yaf_Request_Http::getPost
- Yaf_Request_Http::getCookie
- Yaf_Request_Http::getServer
- Yaf_Request_Http::getParam

Yaf_Request_Http::__construct
Yaf_Request_Http::getCookie
Yaf_Request_Http
PHP Manual